CCI_TARGET=CCI_v2.3.6
#Dependencies dictate order of compilation, performed in 6 steps to ensure 
#dependent libraries are build first
#level 0
#d1_jibx_extensions d1_test_resources foresite
#D1_JIBX_EXTENSIONS=tags/D1_JIBX_EXTENSIONS_v2.3.0
D1_TEST_RESOURCES=tags/D1_TEST_RESOURCES_v2.3.0
D1_CN_VERSION_TOOL=tags/D1_CN_VERSION_TOOL_v2.3.0
#FORESITE=

#level 1
#d1_common_java(d1_jobx_extensions, d1_test_resources)
D1_COMMON_JAVA=tags/D1_COMMON_JAVA_v2.3.0

#level 2
#d1_libclient_java(d1_common_java, d1_test_resources, foresite) 
#d1_cn_common(d1_common_java)  
#d1_cn_index_common(d1_common_java)
## D1_CN_COMMON=tags/D1_CN_COMMON_v2.3.0
## D1_CN_INDEX_COMMON=tags/D1_CN_INDEX_COMMON_v2.3.0
D1_LIBCLIENT_JAVA=tags/D1_LIBCLIENT_JAVA_v2.3.1

#Level 3
#metacat(foresite, d1_common_java, d1_libclient_java) 
#d1_certificate_manager(d1_libclient_java)  
#portal(d1_common_java, d1_libclient_java)  
#d1_mercury_common(d1_common_java d1_libclient_java)
#d1_cn_index_generator(d1_cn_index_common d1_common_java d1_cn_common) 
#d1_cn_noderegistry(d1_cn_common)
#METACAT=
D1_PORTAL=tags/D1_PORTAL_v2.3.1
## D1_CN_INDEX_GENERATOR=tags/D1_CN_INDEX_GENERATOR_v2.3.1
## D1_CN_NODEREGISTRY=tags/D1_CN_NODEREGISTRY_v2.3.1

#Level 4  GOT TO HERE, need to do something special with D1_MERCURY_UI, branch from trunk?
#d1_identity_manager(d1_cn_common d1_libclient_java d1_cn_noderegistry)
#d1_portal_servlet(d1_portal) 
#d1_mercury_ui(d1_mercury_common) 
#d1_cn_index_processor(d1_cn_common d1_libclient_java d1_cn_index_common d1_cn_index_generator d1_cn_noderegistry) 
#d1_log_aggregation(d1_libclient_java d1_cn_noderegistry)  
#d1_replication(d1_cn_noderegistry d1_cn_common d1_libclient_java)
#D1_MERCURY_COMMON=tags/D1_MERCURY_COMMON_v2.2.0
D1_IDENTITY_MANAGER=tags/D1_IDENTITY_MANAGER_v2.3.2
D1_PORTAL_SERVLET=tags/D1_PORTAL_SERVLET_v2.3.4
D1_CN_INDEX_PROCESSOR=tags/D1_CN_INDEX_PROCESSOR_v2.3.4
D1_LOG_AGGREGATION=tags/D1_LOG_AGGREGATION_v2.3.2
D1_CN_APPROVE_NODE=tags/D1_CN_APPROVE_NODE_v2.3.2
D1_REPLICATION=tags/D1_REPLICATION_v2.3.2

#Level 5
#d1_cn_service(d1_libclient_java d1_identity_manager d1_portal d1_cn_rest_proxy d1_cn_noderegistry d1_cn_common d1_common_java)  
#d1_synchronization(d1_libclient_java d1_cn_noderegistry d1_identity_manager)
D1_CN_REST=tags/D1_CN_REST_v2.3.4
D1_SYNCHRONIZATION=tags/D1_SYNCHRONIZATION_v2.3.5
#D1_MERCURY_UI=tags/D1_MERCURY_UI_v2.2.0
D1_SOLR_EXTENSIONS=tags/D1_SOLR_EXTENSIONS_v2.3.2
D1_CN_INDEX_TOOL=tags/D1_CN_INDEX_TOOL_v2.3.4
D1_REPLICATION_AUDITOR=tags/D1_REPLICATION_AUDITOR_v2.3.2

#Level 6
#d1_process_daemon(d1_synchronization d1_replication d1_log_aggregation)
### once replication is updated, process daemon will need to be released again as well 6-1-2012 -rpw
D1_PROCESS_DAEMON=tags/D1_PROCESS_DAEMON_v2.3.5

#Level 7 
#Debian Packages for deployment on CNs
DATAONE_CN_OS_CORE_DEB=tags/DATAONE-CN-OS-CORE_v2.3.1
DATAONE_CN_SOLR_DEB=tags/DATAONE-CN-SOLR_v2.3.2
DATAONE_CN_INDEX_DEB=tags/DATAONE-CN-INDEX_v2.3.4
DATAONE_CN_METACAT_DEB=tags/DATAONE-CN-METACAT_v2.8.6
DATAONE_CN_PORTAL_DEB=tags/DATAONE-CN-PORTAL_v2.3.4
DATAONE_CN_PROCESS_DAEMON_DEB=tags/DATAONE-CN-PROCESSDAEMON_v2.3.5
DATAONE_CN_REST_SERVICE_DEB=tags/DATAONE-CN-REST-SERVICE_v2.3.4
## DATAONE_CN_VERSION_TOOL_DEB=tags/DATAONE-CN-VERSION-TOOL_v2.3.0
## DATAONE_ZOOKEEPER_DEB=tags/DATAONE-ZOOKEEPER_v2.3.1
## DATAONE_SOLR_DEB=tags/DATAONE-SOLR_v2.3.2
#DATAONE_CN_ANSIBLE_DEB=tags/DATAONE-CN-ANSIBLE_v1.2.7
